<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>3 ДЗ CSS</title>
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Inter:wght@100..900&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="css/style.css">
</head>
<body>

<div class="container">

    <header class="navigation-div">
        <nav class="nav-section">
            <ul class="nav-list">
                <li class="li1"><a class="link-about-us" href="https://dan-it.com.ua/uk/" target="_blank">About us</a></li>
                <li class="li2">Projects</li>
                <li class="li3">Blog</li>
                <li class="li4">Templates</li>
                <li class="li5">Libraries</li>
            </ul>
        </nav>
    </header>
    <img class="image" src="img/img.png" alt="">
    <main class="div-img">
        <div class="img">

        </div>

        <h1 class="intro-title">How does CSS actually work?</h1>

        <p class="main-paragraph">When a browser displays a document, it must combine the document's content with its style information. It
            processes the document in a number of stages, which we've listed below. Bear in mind that
            <span class="green-span">this is a very simplified version</span> of what happens when a browser loads a
            webpage, and that different browsers will handle
            the process in different ways. But this is roughly what happens.</p>

        <ol class="main-div-ol">
            <li>The browser loads the HTML (e.g. receives it from the network).</li>
            <li>It converts the HTML into a DOM (Document Object Model). The DOM represents the document in the
                computer's memory. The DOM is explained in a bit more detail in the next section.
            </li>
            <li>The browser then fetches most of the resources that are linked to by the HTML document, such as embedded
                images, videos, and even linked CSS! JavaScript is handled a bit later on in the process, and we won't
                talk about it here to keep things simpler.
            </li>
            <li>The browser parses the fetched CSS, and sorts the different rules by their selector types into different
                "buckets", e.g. element, class, ID, and so on. Based on the selectors it finds, it works out which rules
                should be applied to which nodes in the DOM, and attaches style to them as required (this intermediate
                step is called a render tree).
            </li>
            <li>The render tree is laid out in the structure it should appear in after the rules have been applied to
                it.
            </li>
            <li>The visual display of the page is shown on the screen (this stage is called painting).</li>
        </ol>
        <button class="button">Learn more</button>
    </main>

    <footer class="footer">
        <p class="footer-data-item">All right reserved</p>
    </footer>

</div>

</body>
</html>